## libbtbb 2014.11.26+gitf83b85c

=== debian/changelog ===
libbtbb (2014.11.26+gitf83b85c-1) unstable; urgency=low

  * Initial release (Closes: #772575)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 08 Dec 2014 18:52:56 +0100
