=== debian/control ===
Source: libbtbb
Section: libs
Priority: optional
Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 9),
               libpcap-dev,
               python-all-dev,
               cmake
Standards-Version: 3.9.6
Vcs-Git: git://github.com/rubund/debian-libbtbb.git
Vcs-Browser: https://github.com/rubund/debian-libbtbb/tree/master
Homepage: http://libbtbb.sourceforge.net/

Package: libbtbb0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Bluetooth baseband decoding library
 This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
 project. It can be used to extract Bluetooth packet and piconet information
 from Ubertooth devices as well as GR-Bluetooth/USRP.

Package: libbtbb-dev
Architecture: any
Section: libdevel
Depends: libbtbb0 (= ${binary:Version}),
         libpcap-dev,
         ${misc:Depends}
Description: Bluetooth baseband decoding library - development files
 This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
 project. It can be used to extract Bluetooth packet and piconet information
 from Ubertooth devices as well as GR-Bluetooth/USRP.
 .
 This package provides the development files for using the btbb library.

Package: libbtbb0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libbtbb0 (= ${binary:Version}),
         ${misc:Depends}
Description: Bluetooth baseband decoding library - debugging symbols
 This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
 project. It can be used to extract Bluetooth packet and piconet information
 from Ubertooth devices as well as GR-Bluetooth/USRP.
 .
 This package contains the debugging files used to investigate problems with
 the btbb library.

Package: python-libbtbb-pcapdump
Architecture: any
Section: python
Depends: libbtbb0 (= ${binary:Version}),
         python,
         ${misc:Depends}
Description: pcapdump is a Python module for pcap delivered by libbtbb
 This module may be used to read and write pcap files produced by
 libbtbb. Actually libbtbb doesn't produce such files by itself at this
 3 time, but you can produce them with the Ubertooth tools.
