=== python/pcaptools/Makefile ===
# Copyright 2012 Michael Ossmann, Dominic Spill
#
# This file is part of Project Ubertooth.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

INSTALL ?= /usr/bin/install
PYTHON ?= /usr/bin/env python

INSTALL_DIR ?= /usr/bin

EXECUTABLE_FILES = btaptap

all: pcapdump

pcapdump:
	$(PYTHON) setup.py build

clean:
	rm -rf build

install: pcapdump
	$(PYTHON) setup.py install
	$(INSTALL) -m 0755 $(EXECUTABLE_FILES) $(INSTALL_DIR)

.PHONY: all clean install pcapdump
