=== debian/changelog ===
libbtbb (2015.09.R2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Added "Multi-Arch: same" to allow libbtbb0 to be
      installed for multiple architectures
    - Fixed small typo in long description
    - Make python-libbtbb-pcapdump arch:all
    - Changed the dependency for python-libbtbb-pcapdump
      from (= ${binary:Version}) to (>= ${source:Version})
      to avoid lintian.
  * debian/copyright:
    - Fixes related to new upstream release
  * debian/libbtbb0.symbols
    - Added new symbols

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 07 Sep 2015 23:57:45 +0200
