=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Bluetooth baseband decoding library
  This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
  project. It can be used to extract Bluetooth packet and piconet information
@@ -27,6 +28,7 @@
 Depends: libbtbb0 (= ${binary:Version}),
          libpcap-dev,
          ${misc:Depends}
+Multi-Arch: same
 Description: Bluetooth baseband decoding library - development files
  This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
  project. It can be used to extract Bluetooth packet and piconet information
@@ -40,6 +42,7 @@
 Priority: extra
 Depends: libbtbb0 (= ${binary:Version}),
          ${misc:Depends}
+Multi-Arch: same
 Description: Bluetooth baseband decoding library - debugging symbols
  This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
  project. It can be used to extract Bluetooth packet and piconet information
@@ -49,12 +52,12 @@
  the btbb library.
 
 Package: python-libbtbb-pcapdump
-Architecture: any
+Architecture: all
 Section: python
-Depends: libbtbb0 (= ${binary:Version}),
+Depends: libbtbb0 (>= ${source:Version}),
          python,
          ${misc:Depends}
 Description: pcapdump is a Python module for pcap delivered by libbtbb
  This module may be used to read and write pcap files produced by
  libbtbb. Actually libbtbb doesn't produce such files by itself at this
- 3 time, but you can produce them with the Ubertooth tools.
+ time, but you can produce them with the Ubertooth tools.
