=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem cmake

override_dh_auto_clean:
	rm -rf python/pcaptools/build
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \

override_dh_auto_install:
	dh_auto_install

override_dh_strip:
	dh_strip -plibbtbb0 --keep-debug --dbg-package=libbtbb0-dbg
