## libbtbb 2017.03.R2

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,21 +21,20 @@
 #top level cmake project for libbtbb lib + tools
 
 cmake_minimum_required(VERSION 2.8)
-set(MAJOR_VERSION 0)
-set(MINOR_VERSION 3)
 project(libbtbb_all)
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)
 
 set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")
 
-set( VERSION ${MAJOR_VERSION}.${MINOR_VERSION} )
-add_definitions( -DVERSION="${VERSION}" )
+set(BUILD_SHARED_LIB ON CACHE BOOL "Build shared library")
+set(BUILD_STATIC_LIB OFF CACHE BOOL "Build static library")
+set(ENABLE_PYTHON ON CACHE BOOL "Build python tools")
 
 # Comment the following out for releases.
-set(CMAKE_C_FLAGS "$ENV{CFLAGS}")
+set(CMAKE_C_FLAGS "$ENV{CFLAGS}" CACHE STRING "C Flags")
 
 add_subdirectory(lib)
-if(NOT DISABLE_PYTHON)
+if(ENABLE_PYTHON)
 	add_subdirectory(python)
 endif()
