=== debian/changelog ===
libbtbb (2017.03.R2-1) unstable; urgency=low

  * Upload to unstable 
  * debian/control: New standards version 4.0.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 13 Jul 2017 22:58:37 +0200

libbtbb (2017.03.R2-1~exp1) experimental; urgency=low

  * New upstream release
  * libbtbb0 -> libbtbb1
  * debian/control:
    - New standards version: 3.9.8
    - Use secure URL for Vcs
    - Removed -dbg package (now handled automatically)
  * debian/copyright:
    - Relevant copyright info updated
  * debian/libbtbb1.symbols: Symbols updated
  * debian/rules:
    - No need to override dh_strip anymore

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 14 Mar 2017 16:05:51 +0100
