=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper (>= 9),
                libpcap-dev,
-               python-all-dev,
                cmake
-Standards-Version: 4.0.0
+Build-Depends-Indep: python-all-dev
+Standards-Version: 4.1.5
 Vcs-Git: https://github.com/rubund/debian-libbtbb.git
 Vcs-Browser: https://github.com/rubund/debian-libbtbb/tree/master
 Homepage: http://libbtbb.sourceforge.net/
