## libbtbb 2018.08.R1

=== debian/changelog ===
libbtbb (2018.08.R1-2) unstable; urgency=medium

  * debian/tests/control: Add missing test-dependencies
  * debian/control: Set Vcs URL to salsa

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 09:16:18 +0200

libbtbb (2018.08.R1-1) unstable; urgency=medium

  * New upstream release
  * debian/compat: level 11
  * debian/control:
    - debhelper >= 11
    - New standards version 4.2.1 - no changes
  * debian/tests:
    - Added autopkgtest to verify that it is possible to link with the library.
  * debian/upstream/metadata: added metadata file

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 15:13:36 +0200
