=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libpcap-dev,
                cmake
 Build-Depends-Indep: python-all-dev
-Standards-Version: 4.1.5
-Vcs-Git: https://github.com/rubund/debian-libbtbb.git
-Vcs-Browser: https://github.com/rubund/debian-libbtbb/tree/master
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/rubund/libbtbb.git
+Vcs-Browser: https://salsa.debian.org/rubund/libbtbb
 Homepage: http://libbtbb.sourceforge.net/
 
 Package: libbtbb1
