=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
+	   $(if $(filter python-libbtbb-pcapdump,$(shell dh_listpackages)),,-DENABLE_PYTHON=OFF)
 
 override_dh_auto_install:
 	dh_auto_install
-
