## libbtbb 2018.12.R1

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,16 @@
 # Based heavily upon the hackrf cmake setup.
 
 project(libbtbb C)
+set(MAJOR_VERSION 1)
+set(MINOR_VERSION 0)
 set(PACKAGE libbtbb)
+set(VERSION ${MAJOR_VERSION}.${MINOR_VERSION})
+add_definitions( -DVERSION="${VERSION}" )
+
+if(NOT MSVC)
+	add_definitions(-Wall)
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
+endif()
 
 add_subdirectory(src)
