=== debian/changelog ===
libbtbb (2018.12.R1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * add cmake4.patch (Closes: #1113123)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 18 Oct 2025 18:42:25 +0200

libbtbb (2018.12.R1-1) unstable; urgency=medium

  * New upstream release (no changes, but updated version number)
  * Drop Python2 binary package (Closes: #943081). Does not have any reverse
    dependencies.
  * debian/control:
    - Standards version 4.4.1 - no changes
    - Use debhelper-compat. Set to level 12
  * debian/compat: deleted

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 23 Dec 2019 08:42:25 +0100
