=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libpcap-dev,
                cmake
-Build-Depends-Indep: python-all-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/rubund/libbtbb.git
 Vcs-Browser: https://salsa.debian.org/rubund/libbtbb
 Homepage: http://libbtbb.sourceforge.net/
@@ -35,14 +34,3 @@
  from Ubertooth devices as well as GR-Bluetooth/USRP.
  .
  This package provides the development files for using the btbb library.
-
-Package: python-libbtbb-pcapdump
-Architecture: all
-Section: python
-Depends: libbtbb1 (>= ${source:Version}),
-         python,
-         ${misc:Depends}
-Description: pcapdump is a Python module for pcap delivered by libbtbb
- This module may be used to read and write pcap files produced by
- libbtbb. Actually libbtbb doesn't produce such files by itself at this
- time, but you can produce them with the Ubertooth tools.
