=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,7 @@
 	dh_auto_clean
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
-	   $(if $(filter python-libbtbb-pcapdump,$(shell dh_listpackages)),,-DENABLE_PYTHON=OFF)
+	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DENABLE_PYTHON=OFF
 
 override_dh_auto_install:
 	dh_auto_install
