=== debian/tests/control ===
Tests: can-link
Depends: libbtbb-dev, pkg-config, gcc
