=== debian/watch ===
version=3
https://github.com/greatscottgadgets/libbtbb/releases /greatscottgadgets/libbtbb/archive/(\w+?)-(\w+?)-(\w+?)\.tar\.(?:bz2|gz|xz)
